This download is for new users of ActivInspire

The System Requirements of ActivInspire have changed: Mac OSX 10.4 & 10.5 (Tiger & Leopard) and Ubuntu 9.04 are no longer supported.
The previous version of ActivInspire can be downloaded here

Windows
Download ActivInspire  for Windows

Download ActivInspire for Windows

Mac
Download ActivInspire for Mac

Download ActivInspire for Mac

Linux
Download ActivInspire for Linux

Download ActivInspire for Linux

Please Login or Register to enable the links above

Existing ActivInspire Users
If you have an existing version of ActivInspire, you can update your software through the dashboard as shown
Note: your computer needs to have an active Internet connection when performing this task.

activinspire-footer

Promethean Planet

Close [x]
Welcome
Take me to: